HDU 5162

题目简单,主要是对名次的处理。下面的代码巧妙的对名次 那一块做了处理。如果 三个同学的 最长距离分别是10 20 30,然后 分别对应的是x[1],x[2],x[3];分别比较,当x[i]>x[j] 时,y[i]++,当所有的成绩都比较完之后,再对y[i]+1即得到 其排名。

Jump and Jump...

Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)
Total Submission(s): 1334    Accepted Submission(s): 677

Problem Description

There are n kids and they want to know who can jump the farthest. For each kid, he can jump three times and the distance he jumps is maximum distance amount all the three jump. For example, if the distance of each jump is (10, 30, 20), then the farthest distance he can jump is 30. Given the distance for each jump of the kids, you should find the rank of each kid.

Input

There are multiple test cases. The first line of input contains an integer T (1≤T≤100), indicating the number of test cases. For each test case: The first line contains an integer n (2≤n≤3), indicating the number of kids. For the next n lines, each line contains three integers ai,bi and ci (1≤ai,bi,ci,≤300), indicating the distance for each jump of the i-th kid. It‘s guaranteed that the final rank of each kid won‘t be the same (ie. the farthest distance each kid can jump won‘t be the same).

Output

For each test case, you should output a single line contain n integers, separated by one space. The i-th integer indicating the rank of i-th kid.

Sample Input

2
3
10 10 10
10 20 30
10 10 20
2
3 4 1
1 2 1

Sample Output

3 1 2
1 2HintFor the first case, the farthest distance each kid can jump is 10, 30 and 20. So the rank is 3, 1, 2.

Source

BestCoder Round #27

  #include<cstdio>
  #include<cstring>
  #include<algorithm>
  using namespace std;
 int main()
 {
    int a,b,c,t,n,x[4],i,j,y[4];
      scanf("%d",&t);
      while (t--)
     {
         scanf("%d",&n);
         for (i=1;i<=n;i++)
         {
             scanf("%d%d%d",&a,&b,&c);
             x[i]=max(max(a,b),c);
         }
         memset(y,0,sizeof(y));
         for (i=1;i<=n;i++)
         {
             for (j=1;j<=n;j++)
             if (x[i]<x[j]) y[i]++;  /*对名次进行处理*/
         }
         for (i=1;i<n;i++) printf("%d ",y[i]+1);
         printf("%d\n",y[n]+1);
     }
     return 0;
 }
时间: 2024-10-13 21:59:06

HDU 5162的相关文章

hdu 5162(水题)

题目链接: http://acm.hdu.edu.cn/showproblem.php?pid=5162 题解:看了半天以为测试用例写错了.这题玩文字游戏.它问的是当前第i名是原数组中的第几个. #include<stdio.h> #include<iostream> #include<string.h> #include <stdlib.h> #include<math.h> #include<algorithm> #include

BestCoder27 1001.Jump and Jump... (hdu 5162) 解题报告

题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=5162 题目意思:有 n 个 kid,每个 kid 有三个成绩 a, b, c.选最大的一个成绩作为这个 kid 的最终成绩.然后根据每个 kid 的最终成绩,对他们进行排名. 赛中写得比较丑陋,这个还比较顺眼....呵呵 1 #include <iostream> 2 #include <cstdio> 3 #include <cstdlib> 4 #include <

hdu 5162 Jump and Jump...(水题)

Problem Description There are n kids and they want to know who can jump the farthest. For each kid, he can jump three times and the distance he jumps is maximum distance amount all the three jump. For example, if the distance of each jump is (10, 30,

【HDU】5162 Jump and Jump...

题目地址:http://acm.hdu.edu.cn/showproblem.php?pid=5162 发现自己写的max宏有点问题 改成这样:#define max(a,b) ((a>b)?(a):(b)),后面的返回值也要一个括号 #include <iostream> #include <algorithm> #include <cstdlib> #include <cstdio> #include <string> #include

HDU 6203 ping ping ping [LCA,贪心,DFS序,BIT(树状数组)]

题目链接:[http://acm.hdu.edu.cn/showproblem.php?pid=6203] 题意 :给出一棵树,如果(a,b)路径上有坏点,那么(a,b)之间不联通,给出一些不联通的点对,然后判断最少有多少个坏点. 题解 :求每个点对的LCA,然后根据LCA的深度排序.从LCA最深的点对开始,如果a或者b点已经有点被标记了,那么continue,否者标记(a,b)LCA的子树每个顶点加1. #include<Bits/stdc++.h> using namespace std;

HDU 5542 The Battle of Chibi dp+树状数组

题目:http://acm.hdu.edu.cn/showproblem.php?pid=5542 题意:给你n个数,求其中上升子序列长度为m的个数 可以考虑用dp[i][j]表示以a[i]结尾的长度为j的上升子序列有多少 裸的dp是o(n2m) 所以需要优化 我们可以发现dp的第3维是找比它小的数,那么就可以用树状数组来找 这样就可以降低复杂度 #include<iostream> #include<cstdio> #include<cstring> #include

hdu 1207 汉诺塔II (DP+递推)

汉诺塔II Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others)Total Submission(s): 4529    Accepted Submission(s): 2231 Problem Description 经典的汉诺塔问题经常作为一个递归的经典例题存在.可能有人并不知道汉诺塔问题的典故.汉诺塔来源于印度传说的一个故事,上帝创造世界时作了三根金刚石柱子,在一根柱子上从下往

[hdu 2102]bfs+注意INF

题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=2102 感觉这个题非常水,结果一直WA,最后发现居然是0x3f3f3f3f不够大导致的--把INF改成INF+INF就过了. #include<bits/stdc++.h> using namespace std; bool vis[2][15][15]; char s[2][15][15]; const int INF=0x3f3f3f3f; const int fx[]={0,0,1,-1};

HDU 3555 Bomb (数位DP)

数位dp,主要用来解决统计满足某类特殊关系或有某些特点的区间内的数的个数,它是按位来进行计数统计的,可以保存子状态,速度较快.数位dp做多了后,套路基本上都差不多,关键把要保存的状态给抽象出来,保存下来. 简介: 顾名思义,所谓的数位DP就是按照数字的个,十,百,千--位数进行的DP.数位DP的题目有着非常明显的性质: 询问[l,r]的区间内,有多少的数字满足某个性质 做法根据前缀和的思想,求出[0,l-1]和[0,r]中满足性质的数的个数,然后相减即可. 算法核心: 关于数位DP,貌似写法还是